<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ComponentsBank Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d5f/class_components_bank.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ComponentsBank Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a70bab0bee490c8fd9e81fff84adef355"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5f/class_components_bank.html#a70bab0bee490c8fd9e81fff84adef355">ComponentsBank</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity_parent)</td></tr>
<tr class="separator:a70bab0bee490c8fd9e81fff84adef355"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2aa4f86f26ead8972d73917027c375e4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d00/class_component.html">Component</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5f/class_components_bank.html#a2aa4f86f26ead8972d73917027c375e4">GetComponent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> comp_type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> extended_class_name=&quot;&quot;)</td></tr>
<tr class="separator:a2aa4f86f26ead8972d73917027c375e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fc9b02088b1d9621746992db97b86d1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5f/class_components_bank.html#a9fc9b02088b1d9621746992db97b86d1">DeleteComponent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> comp_type)</td></tr>
<tr class="separator:a9fc9b02088b1d9621746992db97b86d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7c0d609933711bb4d064ac42f1ca312"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d2/d00/class_component.html">Component</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5f/class_components_bank.html#af7c0d609933711bb4d064ac42f1ca312">CreateComponent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> comp_type, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> extended_class_name=&quot;&quot;)</td></tr>
<tr class="separator:af7c0d609933711bb4d064ac42f1ca312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e54e277fe9431987c4f65e9e7c382f0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5f/class_components_bank.html#a3e54e277fe9431987c4f65e9e7c382f0">IsComponentAlreadyExist</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> comp_type)</td></tr>
<tr class="separator:a3e54e277fe9431987c4f65e9e7c382f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:aafa7a7a6d248ef288d17a0dda468aa66"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5f/class_components_bank.html#aafa7a7a6d248ef288d17a0dda468aa66">m_EntityParent</a></td></tr>
<tr class="separator:aafa7a7a6d248ef288d17a0dda468aa66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ed7421bb5492123f1dbf03120fddfdd"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d2/d00/class_component.html">Component</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5f/class_components_bank.html#a1ed7421bb5492123f1dbf03120fddfdd">m_Components</a> [<a class="el" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a>]</td></tr>
<tr class="separator:a1ed7421bb5492123f1dbf03120fddfdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d5/d14/_components_bank_8c_source.html#l00001">1</a> of file <a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a70bab0bee490c8fd9e81fff84adef355" name="a70bab0bee490c8fd9e81fff84adef355"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70bab0bee490c8fd9e81fff84adef355">&#9670;&#160;</a></span>ComponentsBank()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ComponentsBank::ComponentsBank </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>entity_parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d14/_components_bank_8c_source.html#l00006">6</a> of file <a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="af7c0d609933711bb4d064ac42f1ca312" name="af7c0d609933711bb4d064ac42f1ca312"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7c0d609933711bb4d064ac42f1ca312">&#9670;&#160;</a></span>CreateComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d2/d00/class_component.html">Component</a> ComponentsBank::CreateComponent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>comp_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>extended_class_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d14/_components_bank_8c_source.html#l00038">38</a> of file <a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a>.</p>

</div>
</div>
<a id="a9fc9b02088b1d9621746992db97b86d1" name="a9fc9b02088b1d9621746992db97b86d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fc9b02088b1d9621746992db97b86d1">&#9670;&#160;</a></span>DeleteComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ComponentsBank::DeleteComponent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>comp_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d14/_components_bank_8c_source.html#l00027">27</a> of file <a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a>.</p>

</div>
</div>
<a id="a2aa4f86f26ead8972d73917027c375e4" name="a2aa4f86f26ead8972d73917027c375e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2aa4f86f26ead8972d73917027c375e4">&#9670;&#160;</a></span>GetComponent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d00/class_component.html">Component</a> ComponentsBank::GetComponent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>comp_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>extended_class_name</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d14/_components_bank_8c_source.html#l00011">11</a> of file <a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a>.</p>

</div>
</div>
<a id="a3e54e277fe9431987c4f65e9e7c382f0" name="a3e54e277fe9431987c4f65e9e7c382f0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e54e277fe9431987c4f65e9e7c382f0">&#9670;&#160;</a></span>IsComponentAlreadyExist()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> ComponentsBank::IsComponentAlreadyExist </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>comp_type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d14/_components_bank_8c_source.html#l00072">72</a> of file <a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1ed7421bb5492123f1dbf03120fddfdd" name="a1ed7421bb5492123f1dbf03120fddfdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ed7421bb5492123f1dbf03120fddfdd">&#9670;&#160;</a></span>m_Components</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d2/d00/class_component.html">Component</a> ComponentsBank::m_Components[<a class="el" href="../../d5/d5c/group___components.html#ga7e2e9b64725a07307f41dcd20c220342">COMP_TYPE_COUNT</a>]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d14/_components_bank_8c_source.html#l00004">4</a> of file <a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a>.</p>

</div>
</div>
<a id="aafa7a7a6d248ef288d17a0dda468aa66" name="aafa7a7a6d248ef288d17a0dda468aa66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafa7a7a6d248ef288d17a0dda468aa66">&#9670;&#160;</a></span>m_EntityParent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> ComponentsBank::m_EntityParent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d5/d14/_components_bank_8c_source.html#l00003">3</a> of file <a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/tools/<a class="el" href="../../d5/d14/_components_bank_8c_source.html">ComponentsBank.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d5f/class_components_bank.html">ComponentsBank</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
